/*

  Analog Hall Sensor Module

  Parts required:
  - Arduino Board
  - Analog Hall Sensor Module
  - LED (Any Color)
  - 220 Ohm Resistor
  - Magnet

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 10 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int analogReadPin = A0;
int analogReadValue;
int ledPin = 8;

void setup() {
  pinMode(analogReadPin, INPUT);                // Set analogReadPin as INPUT
  pinMode(ledPin, OUTPUT);                      // Set ledPin as OUTPUT
}

void loop() {

  analogReadValue = analogRead(analogReadPin);  // Read value of analogReadPin and store in analogReadValue

  if (analogReadValue >= 600) {                 // If analogReadValue >= 600 Do
    digitalWrite(ledPin, HIGH);                 // Turn LED ON
  }
  else {
    digitalWrite(ledPin, LOW);                  // Turn LED OFF
  }
}
